Create a dataset
curl --request POST \
--url https://integrations.rippit.com/api/v2/bulk_ingest/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"columns": [
{
"column": "<string>",
"type": "<string>"
}
],
"description": "",
"pkey_cols": [
"<string>"
],
"append_only_dataset": false,
"updated_at_col": "<string>",
"mode": "ongoing"
}
'import requests
url = "https://integrations.rippit.com/api/v2/bulk_ingest/datasets"
payload = {
"name": "<string>",
"columns": [
{
"column": "<string>",
"type": "<string>"
}
],
"description": "",
"pkey_cols": ["<string>"],
"append_only_dataset": False,
"updated_at_col": "<string>",
"mode": "ongoing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
columns: [{column: '<string>', type: '<string>'}],
description: '',
pkey_cols: ['<string>'],
append_only_dataset: false,
updated_at_col: '<string>',
mode: 'ongoing'
})
};
fetch('https://integrations.rippit.com/api/v2/bulk_ingest/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.rippit.com/api/v2/bulk_ingest/datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'columns' => [
[
'column' => '<string>',
'type' => '<string>'
]
],
'description' => '',
'pkey_cols' => [
'<string>'
],
'append_only_dataset' => false,
'updated_at_col' => '<string>',
'mode' => 'ongoing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integrations.rippit.com/api/v2/bulk_ingest/datasets"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"description\": \"\",\n \"pkey_cols\": [\n \"<string>\"\n ],\n \"append_only_dataset\": false,\n \"updated_at_col\": \"<string>\",\n \"mode\": \"ongoing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.rippit.com/api/v2/bulk_ingest/datasets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"description\": \"\",\n \"pkey_cols\": [\n \"<string>\"\n ],\n \"append_only_dataset\": false,\n \"updated_at_col\": \"<string>\",\n \"mode\": \"ongoing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.rippit.com/api/v2/bulk_ingest/datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"description\": \"\",\n \"pkey_cols\": [\n \"<string>\"\n ],\n \"append_only_dataset\": false,\n \"updated_at_col\": \"<string>\",\n \"mode\": \"ongoing\"\n}"
response = http.request(request)
puts response.read_body{
"dataset_id": 123,
"status": "created"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create a dataset
Creates a dataset. New columns are added automatically on write.
Load rows with POST /datasets/bulk?dataset_id=....
Full guide with examples: Tables guide
POST
/
bulk_ingest
/
datasets
Create a dataset
curl --request POST \
--url https://integrations.rippit.com/api/v2/bulk_ingest/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"columns": [
{
"column": "<string>",
"type": "<string>"
}
],
"description": "",
"pkey_cols": [
"<string>"
],
"append_only_dataset": false,
"updated_at_col": "<string>",
"mode": "ongoing"
}
'import requests
url = "https://integrations.rippit.com/api/v2/bulk_ingest/datasets"
payload = {
"name": "<string>",
"columns": [
{
"column": "<string>",
"type": "<string>"
}
],
"description": "",
"pkey_cols": ["<string>"],
"append_only_dataset": False,
"updated_at_col": "<string>",
"mode": "ongoing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
columns: [{column: '<string>', type: '<string>'}],
description: '',
pkey_cols: ['<string>'],
append_only_dataset: false,
updated_at_col: '<string>',
mode: 'ongoing'
})
};
fetch('https://integrations.rippit.com/api/v2/bulk_ingest/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.rippit.com/api/v2/bulk_ingest/datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'columns' => [
[
'column' => '<string>',
'type' => '<string>'
]
],
'description' => '',
'pkey_cols' => [
'<string>'
],
'append_only_dataset' => false,
'updated_at_col' => '<string>',
'mode' => 'ongoing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integrations.rippit.com/api/v2/bulk_ingest/datasets"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"description\": \"\",\n \"pkey_cols\": [\n \"<string>\"\n ],\n \"append_only_dataset\": false,\n \"updated_at_col\": \"<string>\",\n \"mode\": \"ongoing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.rippit.com/api/v2/bulk_ingest/datasets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"description\": \"\",\n \"pkey_cols\": [\n \"<string>\"\n ],\n \"append_only_dataset\": false,\n \"updated_at_col\": \"<string>\",\n \"mode\": \"ongoing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.rippit.com/api/v2/bulk_ingest/datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"description\": \"\",\n \"pkey_cols\": [\n \"<string>\"\n ],\n \"append_only_dataset\": false,\n \"updated_at_col\": \"<string>\",\n \"mode\": \"ongoing\"\n}"
response = http.request(request)
puts response.read_body{
"dataset_id": 123,
"status": "created"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json
Was this page helpful?